Name:          hunspell-no
Summary:       Hunspell dictionaries for Norwegian
Epoch:         1
Version:       2.0.10
Release:       9
Source:        https://alioth-archive.debian.org/releases/spell-norwegian/spell-norwegian/%{version}/no_NO-pack2-%{version}.zip
URL:           https://alioth-archive.debian.org/releases/spell-norwegian/spell-norwegian/
License:       GPL+
BuildArch:     noarch
Patch0000:     rhbz959989.badsfxrules.patch
%description
Hunspell dictionaries for Norwegian.

%package -n  hunspell-nb
Summary:     Hunspell dictionaries for Bokmaal
Requires:    hunspell
Supplements: (hunspell and langpacks-nb)
%description -n hunspell-nb
Hunspell dictionaries for Bokmaal.

%package -n  hunspell-nn
Summary:     Hunspell dictionaries for Nynorsk
Requires:    hunspell
Supplements: (hunspell and langpacks-nn)
%description -n hunspell-nn
Hunspell dictionaries for Nynorsk.

%package -n  hyphen-nb
Summary:     Hyphenation rules for Bokmaal
Requires:    hyphen
Supplements: (hyphen and langpacks-nb)
%description -n hyphen-nb
Hyphenation rules for Bokmaal.

%package -n  hyphen-nn
Summary:     Hyphenation rules for Nynorsk
Requires:    hyphen
Supplements: (hyphen and langpacks-nn)
%description -n hyphen-nn
Hyphenation rules for Nynorsk

%package -n  mythes-nb
Summary:     Thesaurus for Bokmaal
Requires:    mythes
Supplements: (mythes and langpacks-nb)
%description -n mythes-nb
Thesaurus for Bokmaal.

%package -n  mythes-nn
Summary:     Thesaurus for Nynorsk
Requires:    mythes
Supplements: (mythes and langpacks-nn)
%description -n mythes-nn
Thesaurus for Nynorsk.

%prep
%setup -c -n hunspell-no-%{version}
for zip in `find | grep zip`;do
        unzip -q $zip
done
%patch0000 -p1

%build
for i in README_nb_NO.txt README_hyph_nb_NO.txt README_th_nb_NO_v2.txt; do
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
done

%install
install -d $RPM_BUILD_ROOT/%{_datadir}/myspell
install -p nn_NO.aff nn_NO.dic nb_NO.aff nb_NO.dic $RPM_BUILD_ROOT/%{_datadir}/myspell
install -d $RPM_BUILD_ROOT/%{_datadir}/hyphen
install -p hyph_nn_NO.dic hyph_nb_NO.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen
install -d $RPM_BUILD_ROOT/%{_datadir}/mythes
install -p th_nb_NO_v2.dat th_nb_NO_v2.idx th_nn_NO_v2.dat th_nn_NO_v2.idx $RPM_BUILD_ROOT/%{_datadir}/mythes

%files -n hunspell-nb
%doc README_nb_NO.txt
%{_datadir}/myspell/nb_NO.*

%files -n hunspell-nn
%doc README_nn_NO.txt
%{_datadir}/myspell/nn_NO.*

%files -n hyphen-nb
%doc README_hyph_nb_NO.txt
%{_datadir}/hyphen/hyph_nb_NO.*

%files -n hyphen-nn
%doc README_hyph_nn_NO.txt
%{_datadir}/hyphen/hyph_nn_NO.*

%files -n mythes-nb
%doc README_th_nb_NO_v2.txt
%{_datadir}/mythes/th_nb_NO_v2.*

%files -n mythes-nn
%doc README_th_nb_NO_v2.txt
%{_datadir}/mythes/th_nn_NO_v2.*

%changelog
* Tue Apr 28 2020 huanghaitao <huanghaitao8@huawei.com> - 2.0.10-9
- package init
